Bug 1310586 - openhpi-subagent failed connect to agentx and causes core dump
openhpi-subagent failed connect to agentx and causes core dump
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: openhpi-subagent (Show other bugs)
6.8
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Rafael Fonseca
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-22 05:10 EST by Radka Skvarilova
Modified: 2017-06-29 10:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-29 10:49:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Crash report from abrt - hpi-subagent (31.99 KB, text/plain)
2016-02-22 05:10 EST, Radka Skvarilova
no flags Details

  None (edit)
Description Radka Skvarilova 2016-02-22 05:10:24 EST
Created attachment 1129208 [details]
Crash report from abrt - hpi-subagent

Description of problem:
Hpisubagent have problem with connection to agetx and causes core dump

Version-Release number of selected component (if applicable):
pkg_arch:       x86_64
pkg_epoch:      0
pkg_fingerprint: 199E 2F91 FD43 1D51
pkg_name:       openhpi-subagent
pkg_release:    10.el6
pkg_vendor:     Red Hat, Inc.
pkg_version:    2.3.4

How reproducible:
100%

Steps to Reproduce:
1. Failing in test running with abrt check -  /CoreOS/openhpi-subagent/Sanity/initscript in starting openhpi-subagent
2. core dump is visible in abrt output
3.

Actual results:
:Feb 22 04:38:48 ibm-x3650m4-01-vm-06 hpiSubagent[8268]: Starting $Id: hpiSubagent.c 5417 2005-11-14 16:18:37Z ddearauj $
:Feb 22 04:38:48 ibm-x3650m4-01-vm-06 hpiSubagent[8268]: Created directory: /var/lib/net-snmp/mib_indexes
:Feb 22 04:38:48 ibm-x3650m4-01-vm-06 hpiSubagent[8268]: Sending EVENTS during startup.
:Feb 22 04:38:48 ibm-x3650m4-01-vm-06 hpiSubagent[8268]: /etc/snmp/hpiSubagent.conf: line 8: Warning: Unknown token: check_hpi_interval.
:Feb 22 04:38:48 ibm-x3650m4-01-vm-06 hpiSubagent[8268]: Max Event rows 1024.
:Feb 22 04:38:48 ibm-x3650m4-01-vm-06 hpiSubagent[8268]: Warning: Failed to connect to the agentx master agent ([NIL]): 
:Feb 22 04:38:49 ibm-x3650m4-01-vm-06 hpiSubagent[8270]: Stopping $Id: hpiSubagent.c 5417 2005-11-14 16:18:37Z ddearauj $
:Feb 22 04:38:49 ibm-x3650m4-01-vm-06 hpiSubagent[8384]: Starting $Id: hpiSubagent.c 5417 2005-11-14 16:18:37Z ddearauj $
:Feb 22 04:38:49 ibm-x3650m4-01-vm-06 hpiSubagent[8384]: Sending EVENTS during startup.
:Feb 22 04:38:49 ibm-x3650m4-01-vm-06 hpiSubagent[8384]: /etc/snmp/hpiSubagent.conf: line 8: Warning: Unknown token: check_hpi_interval.
:Feb 22 04:38:49 ibm-x3650m4-01-vm-06 hpiSubagent[8384]: Max Event rows 1024.
:Feb 22 04:38:49 ibm-x3650m4-01-vm-06 hpiSubagent[8384]: Warning: Failed to connect to the agentx master agent ([NIL]): 
:Feb 22 04:38:50 ibm-x3650m4-01-vm-06 hpiSubagent[8385]: Stopping $Id: hpiSubagent.c 5417 2005-11-14 16:18:37Z ddearauj $
:Feb 22 04:38:51 ibm-x3650m4-01-vm-06 hpiSubagent[8569]: Starting $Id: hpiSubagent.c 5417 2005-11-14 16:18:37Z ddearauj $
:Feb 22 04:38:51 ibm-x3650m4-01-vm-06 hpiSubagent[8569]: Sending EVENTS during startup.
:Feb 22 04:38:51 ibm-x3650m4-01-vm-06 hpiSubagent[8569]: /etc/snmp/hpiSubagent.conf: line 8: Warning: Unknown token: check_hpi_interval.
:Feb 22 04:38:51 ibm-x3650m4-01-vm-06 hpiSubagent[8569]: Max Event rows 1024.
:Feb 22 04:38:51 ibm-x3650m4-01-vm-06 hpiSubagent[8569]: Warning: Failed to connect to the agentx master agent ([NIL]): 
:Feb 22 04:38:51 ibm-x3650m4-01-vm-06 abrt[8596]: Saved core dump of pid 8579 (/usr/bin/hpiSubagent) to /var/spool/abrt/ccpp-2016-02-22-04:38:51-8579 (3457024 bytes)

Expected results:


Additional info:
Added abrt output
Comment 1 Petr Sklenar 2016-02-22 05:11:30 EST
there is another strange stuff with thousands of lines on stdout, its not much user friendly
 
[0 root@qeos-39 test]# service openhpid start
Starting openhpid:                                         [  OK  ]
[0 root@qeos-39 test]# service openhpi-subagent start
Starting openhpi-subagent: No log handling enabled - turning on stderr logging
registered debug token hpiSubagent, 1
Starting $Id: hpiSubagent.c 5417 2005-11-14 16:18:37Z ddearauj $
Sending EVENTS during startup.
/etc/snmp/hpiSubagent.conf: line 8: Warning: Unknown token: check_hpi_interval.
Max Event rows 1024.
Warning: Failed to connect to the agentx master agent ([NIL]): 
hpiSubagent: Hpi Version 131841 Implemented.
hpiSubagent: saHpiSessionOpen returns with SessionId 1
hpiSubagent: subcsribe_all_sessions() SUCCEEDED!!!!!!!
hpiSubagent: saHpiDiscover Success!
hpiSubagent: init_saHpiAdministration, called
hpiSubagent: initialize_scalar_saHpiDiscover, called
hpiSubagent: init_saHpiDomainInfoTable
hpiSubagent: initialize_table_saHpiDomainInfoActiveEntries, called
hpiSubagent: init_saHpiDomainAlarmTable, called
hpiSubagent: initialize_table_saHpiDomainAlarmActiveEntries, called
hpiSubagent: init_saHpiDomainReferenceTable, called

### and thousands more lines on stdout
Comment 3 Rafael Fonseca 2016-02-23 09:54:40 EST
Petr,

can you confirm whether openhpid is actually running? Check the output of

# systemctl status openhpid

I get the same error if I try to start openhpi-subagent without having the openhpid daemon properly initialized.

If systemctl reports that openhpid is Inactive or Dead, try running it yourself

# /usr/sbin/openhpid -n -v -c /etc/openhpi/openhpi.conf

then running the subagent

# /usr/sbin/hpiSubagent

and let me know the outcome, please.
Comment 4 Petr Sklenar 2016-04-05 06:59:16 EDT
(In reply to Rafael Fonseca from comment #3)
Hi,
my comment was about additional output on STDOUT  which is strange; not sure if it worths fixing on rhel68:

[0 root@qeos-7 test]# service openhpid restart
Stopping openhpid:                                         [  OK  ]
Starting openhpid:            
                             [  OK  ]
[0 root@qeos-7 test]# service openhpid status
openhpid (pid  2001) is running...

[0 root@qeos-7 test]# ps aux | grep openhpid
root      2154  0.0  0.1 303268  3268 ?        Sl   06:51   0:00 /usr/sbin/openhpid -c /etc/openhpi/openhpi.conf
root      2425  0.0  0.0 103316   880 pts/0    S+   06:58   0:00 grep openhpid


[0 root@qeos-7 test]# service openhpi-subagent start
Starting openhpi-subagent: No log handling enabled - turning on stderr logging
registered debug token hpiSubagent, 1
Starting $Id: hpiSubagent.c 5417 2005-11-14 16:18:37Z ddearauj $
Created directory: /var/lib/net-snmp/mib_indexes
Sending EVENTS during startup.
/etc/snmp/hpiSubagent.conf: line 8: Warning: Unknown token: check_hpi_interval.
Max Event rows 1024.
Warning: Failed to connect to the agentx master agent ([NIL]): 
hpiSubagent: Hpi Version 131841 Implemented.
hpiSubagent: saHpiSessionOpen returns with SessionId


# then each few sec there is additional output on stdout with:
hpiSubagent: do_alarm: Entry
hpiSubagent: event_log_info_update called
hpiSubagent: SA_ERR_HPI_CAPABILITY: event_log_info_update Failed: rv = -1020
hpiSubagent: SA_ERR_HPI_CAPABILITY: event_log_info_update Failed: rv = -1020
hpiSubagent: SA_ERR_HPI_CAPABILITY: event_log_info_update Failed: rv = -1020
hpiSubagent: do_alarm: Exit

Note You need to log in before you can comment on or make changes to this bug.